rust-wasmtime (36.0.6+dfsg-4) unstable; urgency=medium

  * extend patch 2001_no_fuzz
    to properly patch out cranelift-assembler-x64 function
    generate_derive_arbitrary_bounds()

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 30 Mar 2026 09:47:48 +0200

rust-wasmtime (36.0.6+dfsg-3) unstable; urgency=medium

  * extend patch 2001_no_fuzz
    to cover crate cranelift-assembler-x64-meta

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 07 Mar 2026 11:18:56 +0100

rust-wasmtime (36.0.6+dfsg-2) unstable; urgency=medium

  * renumber and unfuzz patches
  * extend patch 2001_no_fuzz to cover crate cranelift-assembler-x64

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 06 Mar 2026 13:04:26 +0100

rust-wasmtime (36.0.6+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * bump project versions in virtual packages and autopkgtests
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 25 Feb 2026 11:53:34 +0100

rust-wasmtime (36.0.5+dfsg-5) unstable; urgency=medium

  * extend patch 2003_no_fuzz to cover cranelift-assembler-x64

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 25 Feb 2026 11:07:01 +0100

rust-wasmtime (36.0.5+dfsg-4) unstable; urgency=medium

  * provide and autopkgtest crate pulley-macros;
    (build-)depend on packages for crates proc-macro2 quote syn

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 24 Feb 2026 13:12:39 +0100

rust-wasmtime (36.0.5+dfsg-3) unstable; urgency=medium

  * really bump project versions in virtual packages and autopkgtests
  * provide and autopkgtest crate wasmtime-internal-unwinder

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 22 Feb 2026 12:53:22 +0100

rust-wasmtime (36.0.5+dfsg-2) unstable; urgency=medium

  * adjust patch 2000 to use feature component-modeli
    (not bogus customfeature)
  * provide and autopkgtest crates
    cranelift-assembler-x64 cranelift-assembler-x64-meta cranelift-srcgen

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 22 Feb 2026 00:00:36 +0100

rust-wasmtime (36.0.5+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update watch file: limit to match v36
  * update copyright info:
    + avoid minified JavaScript code when repackaging upstream source
    + license patches same as main upstream license
  * bump project versions in virtual packages and autopkgtests
  * build-depend on packages for crates cargo_metadata wasmprinter
  * provide and autopkgtest wasmtime-internal-jit-icache-coherence
    (not wasmtime-jit-icache-coherence);
    provide and autopkgtest wasmtime-internal-math
    (not wasmtime-math)
  * update and unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 10 Feb 2026 20:32:03 +0100

rust-wasmtime (29.0.1+dfsg-8) unstable; urgency=medium

  * add patch 1001_toml
    to accept newer minor version of crate toml;
    relax build-dependency for crate toml

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 01 Feb 2026 12:08:20 +0100

rust-wasmtime (29.0.1+dfsg-7) unstable; urgency=medium

  * tighten build-dependency for crate toml

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 31 Jan 2026 12:12:22 +0100

rust-wasmtime (29.0.1+dfsg-6) unstable; urgency=medium

  * extend patch 1001 to cover newer minor version of crate itertools;
    relax build-dependency for crate itertools;
    closes: bug#1126626, thanks to Peter Michael Green
  * relax (build-, autopkgtest-)dependencies for all crates,
    except autopkgtest-dependencies for own feature-providing provisions
  * update copyright info:
    + really avoid any .git* files when repackaging upstream source
  * update git-buildpackage config:
    + stop superfluously filter out .git* files

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 30 Jan 2026 10:52:47 +0100

rust-wasmtime (29.0.1+dfsg-5) unstable; urgency=medium

  * fix patch 2006

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 16 Jan 2026 10:03:24 +0100

rust-wasmtime (29.0.1+dfsg-4) unstable; urgency=medium

  * stop set Multi-Arch: foreign,
    incompatible with arch-any packaged crates
  * add patch 1002 to add feature fences for tests
  * extend patch 2006 to cover broken cranelift-jit example
  * update copyright info:
    + update coverage
    + avoid any .git* files when repackaging upstream source

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 15 Jan 2026 19:15:05 +0100

rust-wasmtime (29.0.1+dfsg-3) unstable; urgency=medium

  * fix autpkgtest-dependencies

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 14 Jan 2026 01:06:51 +0100

rust-wasmtime (29.0.1+dfsg-2) unstable; urgency=medium

  * no-changes source-only upload to enable testing migration

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 13 Jan 2026 19:44:38 +0100

rust-wasmtime (29.0.1+dfsg-1) experimental; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update watch file: limit to match v29
  * bump project versions in virtual packages and autopkgtests
  * update and unfuzz patches
  * stop declare superfluous fields Priority Rules-Requires-Root
  * declare compliance with Debian Policy 4.7.3
  * build-depend on package for crate trait-variant
  * bump (build-)dependencies for crate target-lexicon
  * provide and autopkgtest crates pulley-interpreter wasmtime-math;
    depend (not only build-depend) on packages for crates libm sptr;
    tighten (build-)dependencies for crate arbitrary
  * drop patch 2004_break_dep_cycle;
    tighten build-dependency on dh-sequence-rust

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 02 Jan 2026 03:03:37 +0100

rust-wasmtime (28.0.1+dfsg-3) unstable; urgency=medium

  * fix versioning of autopkgtest-dependencies

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 04 Dec 2025 14:46:46 +0100

rust-wasmtime (28.0.1+dfsg-2) unstable; urgency=medium

  * no-changes source-only upload to enable testing migration

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Dec 2025 10:59:31 +0100

rust-wasmtime (28.0.1+dfsg-1) experimental; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * bump project versions in virtual packages and autopkgtests
  * update and unfuzz patches
  * bump (build-)dependencies for crate regalloc2

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 30 Nov 2025 13:36:08 +0100

rust-wasmtime (27.0.0+dfsg-4) unstable; urgency=medium

  * skip autopkgtest-checking default-features
    on riscv64 for crate cranelift-jit
  * set urgency=high since due to security fixes in previous release

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 01 Dec 2025 21:15:34 +0100

rust-wasmtime (27.0.0+dfsg-3) unstable; urgency=high

  * skip autopkgtest-checking more failing features
  * set urgency=high since due to security fixes in previous release

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 30 Nov 2025 10:12:41 +0100

rust-wasmtime (27.0.0+dfsg-2) unstable; urgency=high

  * update watch file: limit to match v28
  * add patch cherry-picked upstream
    to prevent using shared memories;
    CVE-2025-64345;
    fixes bug#1120699, thanks to Salvatore Bonaccorso
  * raise urgency due to security bugfix

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 14 Nov 2025 22:47:25 +0100

rust-wasmtime (27.0.0+dfsg-1) experimental; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update watch file: limit to match v27
  * bump project versions in virtual packages and autopkgtests
  * update and unfuzz patches
  * tighten (build-)dependencies for crate serde

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 14 Nov 2025 15:36:34 +0100

rust-wasmtime (26.0.1+dfsg-10) unstable; urgency=medium

  * skip autopkgtest-checking more features
    apparently unsupported alone

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 22 Oct 2025 09:03:16 +0200

rust-wasmtime (26.0.1+dfsg-9) unstable; urgency=medium

  * add patch cherry-picked upstream
    to fix build failure with rustc 1.89

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 20 Oct 2025 19:39:25 +0200

rust-wasmtime (26.0.1+dfsg-8) unstable; urgency=medium

  * fix autopkgtest more

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 19 Oct 2025 22:05:21 +0200

rust-wasmtime (26.0.1+dfsg-7) unstable; urgency=medium

  * update watch file:
    + use file format 5
    + limit to match v26
  * fix patch 2004
  * fix autopkgtest

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 12 Oct 2025 11:59:22 +0200

rust-wasmtime (26.0.1+dfsg-6) unstable; urgency=medium

  * fix extend patch 2001_pulley-interpreter
  * (build-)depend on packages
    for crates arbitrary rustc-hash;
    depend on package for crate similar;
    tighten dependencies
    for crates gimli hashbrown object regalloc2
    souper-ir target-lexicon;
    stop depend on package for crate bincode;
    provide cranelift-bitset feature arbitrary;
    provide cranelift-codegen features
    all-native-arch arm64 disas incremental-cache isle-errors
    isle-in-source-tree riscv64 s390x souper-harvest timing unwind x86
  * extend autopkgtest to cover all embedded crates

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 11 Oct 2025 16:38:36 +0200

rust-wasmtime (26.0.1+dfsg-5) unstable; urgency=medium

  * tighten build-dependency for crate codespan-reporting
  * build whole workspace (not only cranelift subset);
    update and unfuzz patches;
    build-depend on packages
    for crates async-trait base64 bytes bytesize cap-std
    clap clap_complete directories-next filetime futures gimli
    humantime indicatif itertools libm libtest-mimic memfd
    pretty-env-logger psm serde_json sptr toml tracing
    walkdir wasmparser wat zstd;
    tighten build-dependencies
    for crates hashbrown libc object postcard regalloc2 serde
    souper-ir target-lexicon;
    stop build-depend on packages for crate bincode

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 11 Oct 2025 14:18:53 +0200

rust-wasmtime (26.0.1+dfsg-4) unstable; urgency=medium

  * rename patches 2001_capstone -> 1001_capstone
    and 2001_memmap2 -> 1001_memmap2
  * declare compliance with Debian Policy 4.7.2
  * reduce patch 2001_target-lexicon
    and rename to 2001_pulley-interpreter
    to reflect that it now only avoids crate pulley-interpreter
  * add patch 1001_codespan-reporting
    to accept newer minor version of crate codespan-reporting;
    relax (build-)dependency for crate codespan-reporting;
    closes: bug#1117629, thanks to Nadzeya Hutsko
  * update DEP-3 patch headers

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 09 Oct 2025 00:25:16 +0200

rust-wasmtime (26.0.1+dfsg-3) unstable; urgency=medium

  * drop patch 2002_no_feature_jit, obsoleted by upstream changes;
    add patch 2001_memmap2 to accept newer branches of crate memmap2;
    add patch 2001_wasmtime-jit-icache-coherence
    to add path hint for embedded crate wasmtime-jit-icache-coherence;
    provide crates cranelift-jit wasmtime-jit-icache-coherence;
    closes: bug#1095152, thanks to Maytham Alsudany and Hilko Bengen
  * provide virtual package for and autopkgtest cranelift features
    frontend interpreter jit module native object
  * simplify patch 2001_capstone;
    tighten (build-)dependencies for crate capstone
  * add patch 2004 to break cyclic dependency
    (see bug#1094199)
  * extend patch 2002_no_windows
    to cover crates cranelift-jit wasmtime-jit-icache-coherence
  * autopkgtest crate wasmtime-jit-icache-coherence

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 18 Feb 2025 10:10:52 +0100

rust-wasmtime (26.0.1+dfsg-2) unstable; urgency=medium

  * virtually provide unversioned crates
  * relax patch 2001_capstone to accept newer branch;
    relax (build-)dependency for crate capstone;
    closes: bug#1095629, thanks to NoisyCoil

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 11 Feb 2025 20:08:53 +0100

rust-wasmtime (26.0.1+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * bump project versions in virtual packages and autopkgtests
  * update and unfuzz patches
  * bump (build-)dependency for crate regalloc2
  * stop (build-)depend on package for crate arbitrary

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 09 Feb 2025 22:22:08 +0100

rust-wasmtime (23.0.3+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * add metadata about upstream project
  * update git-buildpackage config:
    + filter out debian subdir
    + improve usage comment
  * update watch file:
    + mangle upstream version
    + improve filename mangling
    + use Github API
  * bump project versions in virtual packages and autopkgtests
  * update and unfuzz patches
  * (build-)depend on packages
    for crates env_logger object thiserror
  * update copyright info: update coverage
  * provide crates cranelift-bitset cranelift-interpreter
    cranelift-object cranelift-reader

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 09 Feb 2025 12:16:24 +0100

rust-wasmtime (21.0.2+dfsg-3) unstable; urgency=medium

  * provide crates cranelift-module cranelift-native;
    (build-)depend on packages for crates libc serde_derive;
    tighten (build-)dependencies for crates serde regalloc2 smallvec;
    see bug#1095152

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 09 Feb 2025 01:35:56 +0100

rust-wasmtime (21.0.2+dfsg-2) unstable; urgency=medium

  * update and unfuzz patches
  * fix clean target;
    closes: bug#1095429, thanks to NoisyCoil
  * drop old superseded make rule
  * fix build-depend (not only depend) on package
    for crate codespan-reporting
  * wrap and sort control files,
    with shortening options -ast
  * (build-)depend on package for crate postcard

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 09 Feb 2025 00:45:33 +0100

rust-wasmtime (21.0.2+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Bump gimli and object dependencies (Closes: #1090390, #1091602).

 -- Peter Michael Green <plugwash@debian.org>  Thu, 02 Jan 2025 19:56:39 +0000

rust-wasmtime (21.0.2+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update copyright info:
    + exclude more potentially non-DFSG binary code
    + update coverage
  * bump project versions in virtual packages and autopkgtests
  * declare build-dependencies unconditionally,
    i.e. drop broken nocheck annotations
  * update and unfuzz patches
  * update (build-)dependencies
    for crates anyhow gimli target-lexicon

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 16 Nov 2024 23:20:06 +0100

rust-wasmtime (19.0.0+dfsg-4) unstable; urgency=medium

  * tighten substvars: use ${rust:Version:*} with full package name
    (see bug#1076434)
  * autopkgtest-depend on dh-rust (not dh-cargo)
  * tighten build rules to catch failure in loop
  * stop mention dh-cargo in long description
  * add patch 2001_* to use newer release of crate regalloc2
  * check single-feature autopkgtest tests only on amd64

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 04 Nov 2024 22:15:53 +0100

rust-wasmtime (19.0.0+dfsg-3) unstable; urgency=medium

  * simplify packaging;
    build-depend on dh-sequence-rust
    (not dh-cargo libstring-shellquote-perl)

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 12 Jul 2024 19:55:46 +0200

rust-wasmtime (19.0.0+dfsg-2) unstable; urgency=medium

  * add patch 2001_target-lexicon
    to accept older release of crate target-lexicon

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 17 May 2024 13:56:14 +0200

rust-wasmtime (19.0.0+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update copyright info:
    + fix file path
    + update coverage
  * drop patch 2001_hashbrown;
    tighten build-dependency on package for crate hashbrown
  * drop patch 2001_regalloc2
  * update and unfuzz patches
  * add patch 2003 to avoid benches;
    stop build- or autopkgtest-depend on packages for crates criterion
  * declare compliance with Debian Policy 4.7.0
  * drop patch 2001_gimli;
    tighten (build-)dependencies on package for crate gimli
  * bump project versions in virtual packages and autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 17 May 2024 09:15:33 +0200

rust-wasmtime (18.0.1+dfsg-1) experimental; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * bump project versions in virtual packages and autopkgtests
  * update and unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 22 Feb 2024 18:38:48 +0100

rust-wasmtime (16.0.0+dfsg-3) unstable; urgency=medium

  * relax (build-)dependency for crate hashbrown;
    closes: bug#1064015, thanks to Peter Green

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 17 Feb 2024 02:40:47 +0100

rust-wasmtime (16.0.0+dfsg-2) unstable; urgency=medium

  * no-changes source-only upload to enable testing migration

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 01 Jan 2024 16:01:24 +0100

rust-wasmtime (16.0.0+dfsg-1) experimental; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update patches
  * bump project versions in virtual packages and autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 30 Dec 2023 17:07:52 +0100

rust-wasmtime (15.0.1+dfsg-4) unstable; urgency=medium

  * update dh-cargo fork

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 30 Dec 2023 16:30:00 +0100

rust-wasmtime (15.0.1+dfsg-3) unstable; urgency=medium

  * add patch 2001_gimli to accept older branch of crate gimli;
    relax (build-)dependency for crate gimli
  * temporarily hack local dh-cargo wrapper
    to gracefully handle crate resolving failures

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 30 Dec 2023 12:21:43 +0100

rust-wasmtime (15.0.1+dfsg-2) experimental; urgency=medium

  * (build-)depend on rustfmt

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 30 Dec 2023 11:39:48 +0100

rust-wasmtime (15.0.1+dfsg-1) experimental; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * drop patches 2001_arbitrary 2001_target-lexicon,
    obsoleted by Debian package changes;
    tighten (build-)dependency on package for crate target-lexicon;
    closes: bug#1057198, thanks to Peter Green
  * update patches
  * bump project version in virtual packages and autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 30 Dec 2023 10:10:12 +0100

rust-wasmtime (15.0.0+dfsg-3) experimental; urgency=medium

  * add patches 2001_* to accept older releases
    of crates arbitrary regalloc2 target-lexicon

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 27 Nov 2023 14:19:37 +0100

rust-wasmtime (15.0.0+dfsg-2) experimental; urgency=medium

  * bump (build-)dependencies for crate gimli;
    closes: bug#1056924, thanks to Peter Michael Green

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 27 Nov 2023 13:15:17 +0100

rust-wasmtime (15.0.0+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update and unfuzz patches
  * update dh-cargo fork
  * update copyright info: update coverage
  * bump project version in virtual packages and autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 26 Nov 2023 21:14:22 +0100

rust-wasmtime (10.0.1+dfsg-7) unstable; urgency=medium

  * skip autopkgtests
    for official architectures unsupported by crate cranelift-codegen

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 31 Aug 2023 21:47:13 +0200

rust-wasmtime (10.0.1+dfsg-6) unstable; urgency=medium

  * really fix autopkgtest feature names
  * update dh-cargo fork

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 25 Aug 2023 22:39:58 +0200

rust-wasmtime (10.0.1+dfsg-5) unstable; urgency=medium

  * fix autopkgtest feature names

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 24 Aug 2023 11:36:10 +0200

rust-wasmtime (10.0.1+dfsg-4) unstable; urgency=medium

  * update dh-cargo fork
  * drop patch 2001_arbitrary, obsoleted by Debian package changes
  * rename patch 2001_capstone -> 1001_capstone;
    relax patch 2001_hashbrown;
    update DEP-3 patch headers

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 20 Aug 2023 16:47:33 +0200

rust-wasmtime (10.0.1+dfsg-3) experimental; urgency=medium

  * fix: embed crate cranelift-codegen-meta

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 31 Jul 2023 13:02:10 +0200

rust-wasmtime (10.0.1+dfsg-2) experimental; urgency=medium

  * update dh-cargo fork
  * update DEP-3 patch headers

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 31 Jul 2023 12:18:25 +0200

rust-wasmtime (10.0.1+dfsg-1) experimental; urgency=medium

  * initial packaging release;
    closes: bug#1041434

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 19 Jul 2023 09:14:41 +0200
